Đến nội dung


Hình ảnh
- - - - -

[Nhờ sửa lisp] Hoàn công cọc (cần gấp)!


  • Please log in to reply
8 replies to this topic

#1 BKTen

BKTen

    biết vẽ circle

  • Members
  • PipPip
  • 34 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 29 April 2014 - 11:35 AM

Mình có lisp hoàn công cọc mà không đọc được định dạng file space chỉ đọc dấy phẩy nhờ mọi người giúp đỡ:  file *.csv => mình muốn nó đọc định dạng này. chân thành cảm ơn mọi người!

file nguồn đây : https://www.mediafir...aef04dcgno77dgj

TEN Y X LECHY LECHX

A1-1 13359 116522 52 79

A1-2 15149 116542 42 99

A1-3 16997 116572 90 130

A1-4 18790 116621 83 178

A1-5 20591 116549 84 106

A1-6 13348 114753 41 110

A1-7 15064 114857 -43 214

A1-8 16917 114855 10 212

A1-9 18640 114865 -67 222

A1-10 20531 114855 24 212

A1-11 13237 112983 -70 140

A1-12 14944 113109 -163 266 69

 

code:

;;LISP HOAN CONG COC DU UNG LUC
;;;-------------------------------------------------------------
(defun BeginDraw()
(setq OldOs (getvar "osmode")
      OldLay (getvar "clayer"))
(setvar "osmode" 0)
)
;;;-------------------------------------------------------------
(defun EndDraw() (setvar "osmode" OldOs) (setvar "clayer" Oldlay))
;;;-------------------------------------------------------------
(defun Separate (S sym / i L ch)
(setq i 0 L nil)
(while (< i (strlen S))
      (setq i (1+ i) ch (substr S i 1))
      (if (= ch sym) (progn
    (setq
          L (append L (list (substr S 1 (- i 1))))
          S (substr S (1+ i) (- (strlen S) i))
          i 0
    )
      ))    
)
(append L (list S))
)
;;;-------------------------------------------------------------------
(defun C:hcc( / fn Scale sizetext f S L tim X Y dolechx dolechy p0 p1 p2 p3 px py)
  (prompt "\nMade  VIETNAM ")
(setq
         fn (getfiled "Select Data File" "" "csv" 0)
;Chon kich thuoc cu  
    Scale (setq Scale 500)
;Chon size cho text
    sizetext (setq sizetext (* Scale 0.5))
)
(if fn (progn
    (setq  f (open fn "r"))
    (read-line f)
    (BeginDraw)
    (while (setq S (read-line f))
        (setq
;Doc ra du lieu tu file so lieu (*.csv)    
    L (Separate S ",")
    tim (nth 0 L)
    X (atof (nth 1 L))
    Y (atof (nth 2 L))
    dolechx (atoi (nth 3 L))
    dolechy (atoi (nth 4 L))
    ;donghiengx (atoi (nth 5 L))
    ;donghiengy (atoi (nth 6 L))

;Vi tri dat tim va ten tim
    p0 (list X Y)
    p1 (list X (+ Y (+ (/ Scale 2) 300)))        
;Vi tri dat text do lech va do nghieng             
    p2 (list X (- Y (+ (/ Scale 2) (+ sizetext 450))));150
              p3 (list (- X (+ (/ Scale 2) 450)) Y)
;Vi tri dat mui ten do lech va do nghieng
    px (list X (- Y (+ (/ Scale 2) 400)));1
    py (list (- X (+ (/ Scale 2) 400)) Y);1
)
;Ve vi tri tim    
    (command "LAYER" "N" "01_Diemdo" "C" "1"   "01_Diemdo" "L" "Continuous" "1" "")
    (command "LAYER" "S" "01_Diemdo" \r)
     (command "insert" "KYHIEUCOCEP" p0   Scale Scale 0  )
        (command "point" p0)
;Tao style moi
    (command "-style" "Style_epcoc" "times new roman" "" "" "" "" "")
    (command "-color" "bylayer")
;Ve text ten tim    
    (command "LAYER" "N" "02_Tentim" "C" "5"   "02_Tentim" "L" "Continuous" "1" "")
    (command "LAYER" "S" "02_Tentim" \r)
        (command "text" "justify" "center" p1 sizetext "0" tim)
;Ve text do lech theo phuong X va Y
    (command "LAYER" "N" "03_DolechX" "C" "6"   "03_DolechX" "L" "Continuous" "1" "")
    (command "LAYER" "S" "03_DolechX" \r)    
         (command "text" "justify" "center" p2 sizetext "0" dolechx)
    (command "LAYER" "N" "04_DolechY" "C" "2"   "04_DolechY" "L" "Continuous" "1" "")    
         (command "LAYER" "S" "04_DolechY" \r)
    (command "text" "justify" "center" p3 sizetext "90" dolechy)
;Ve mui ten cho do lech
    (command "LAYER" "N" "05_MuitendolechX" "C" "1"   "05_MuitendolechX" "L" "Continuous" "1" "")    
         (command "LAYER" "S" "05_MuitendolechX" \r)
    (if (>= dolechx 0)
      (command "-insert" "muiten.dwg" px (/ Scale 4) (/ Scale 4) 0)
      (command "-insert" "muiten.dwg" px (/ Scale 4) (/ Scale 4) 180)
      )
    (command "LAYER" "N" "06_MuitendolechY" "C" "1"   "06_MuitendolechY" "L" "Continuous" "1" "")    
         (command "LAYER" "S" "06_MuitendolechY" \r)
    (if (>= dolechy 0)
      (command "-insert" "muiten.dwg" py (/ Scale 4) (/ Scale 4) 90)
      (command "-insert" "muiten.dwg" py (/ Scale 4) (/ Scale 4) -90)
      )
;Ve text do nghieng theo phuong X va Y
;    (command "LAYER" "N" "07_DongiengX" "C" "6"   "07_DongiengX" "L" "Continuous" "1" "")
;    (command "LAYER" "S" "07_DongiengX" \r)    
     ;    (command "text" "justify" "center" p2 sizetext "0" donghiengx)
;    (command "LAYER" "N" "08_DongiengY" "C" "2"   "08_DongiengY" "L" "Continuous" "1" "")    
     ;    (command "LAYER" "S" "08_DongiengY" \r)
;    (command "text" "justify" "center" p3 sizetext "90" donghiengy)
;Ve mui ten cho do nghieng
;    (command "LAYER" "N" "09_MuitendonghiengX" "C" "1"   "09_MuitendonghiengX" "L" "Continuous" "1" "")    
     ;    (command "LAYER" "S" "09_MuitendonghiengX" \r)
;    (if (>= donghiengx 0) (command "-insert" "muiten.dwg" px (/ Scale 4) (/ Scale 4) 0) (command "-insert" "muiten.dwg" px (/ Scale 4) (/ Scale 4) 180))
;    (command "LAYER" "N" "10_MuitendonghiengY" "C" "1"   "10_MuitendonghiengY" "L" "Continuous" "1" "")    
     ;    (command "LAYER" "S" "10_MuitendonghiengY" \r)
;    (if (>= donghiengy 0) (command "-insert" "muiten.dwg" py (/ Scale 4) (/ Scale 4) 90) (command "-insert" "muiten.dwg" py (/ Scale 4) (/ Scale 4) -90))
)
    (EndDraw)
; Tam tat di mot so lop chua cho hien thi
    (command "LAYER" "OFF" "01_Diemdo" \r)
    (command "LAYER" "OFF" "02_Tentim" \r)
;    (command "LAYER" "OFF" "07_dongiengX" \r)
    ;(command "LAYER" "OFF" "08_dongiengY" \r)
    ;(command "LAYER" "OFF" "09_MuitendonghiengX" \r)
    ;(command "LAYER" "OFF" "10_MuitendonghiengY" \r)
;Zoom toan bo man hinh    
    (command "zoom" "e")
    (command "zoom" "e")
    (close f)
    (alert (strcat  "HOAN THANH CONG VIEC"))
    (setvar "osmode" 551)
));;;end if
);;;end function KET THUC CHUONG TRINH


  • 0

Muốn làm bạn với AutoLisp. Mong được đàn anh Pro Chỉ dạy.


#2 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 29 April 2014 - 12:06 PM

Mình có lisp hoàn công cọc mà không đọc được định dạng file space chỉ đọc dấy phẩy nhờ mọi người giúp đỡ:  file *.csv => mình muốn nó đọc định dạng này. chân thành cảm ơn mọi người!

file nguồn đây : https://www.mediafir...aef04dcgno77dgj

TEN Y X LECHY LECHX

A1-1 13359 116522 52 79

A1-2 15149 116542 42 99

A1-3 16997 116572 90 130

A1-4 18790 116621 83 178

A1-5 20591 116549 84 106

A1-6 13348 114753 41 110

A1-7 15064 114857 -43 214

A1-8 16917 114855 10 212

A1-9 18640 114865 -67 222

A1-10 20531 114855 24 212

A1-11 13237 112983 -70 140

A1-12 14944 113109 -163 266 69

 

code:

;;LISP HOAN CONG COC DU UNG LUC
;;;-------------------------------------------------------------
(defun BeginDraw()
(setq OldOs (getvar "osmode")
      OldLay (getvar "clayer"))
(setvar "osmode" 0)
)
;;;-------------------------------------------------------------
(defun EndDraw() (setvar "osmode" OldOs) (setvar "clayer" Oldlay))
;;;-------------------------------------------------------------
(defun Separate (S sym / i L ch)
(setq i 0 L nil)
(while (< i (strlen S))
      (setq i (1+ i) ch (substr S i 1))
      (if (= ch sym) (progn
    (setq
          L (append L (list (substr S 1 (- i 1))))
          S (substr S (1+ i) (- (strlen S) i))
          i 0
    )
      ))    
)
(append L (list S))
)
;;;-------------------------------------------------------------------
(defun C:hcc( / fn Scale sizetext f S L tim X Y dolechx dolechy p0 p1 p2 p3 px py)
  (prompt "\nMade  VIETNAM ")
(setq
         fn (getfiled "Select Data File" "" "csv" 0)
;Chon kich thuoc cu  
    Scale (setq Scale 500)
;Chon size cho text
    sizetext (setq sizetext (* Scale 0.5))
)
(if fn (progn
    (setq  f (open fn "r"))
    (read-line f)
    (BeginDraw)
    (while (setq S (read-line f))
        (setq
;Doc ra du lieu tu file so lieu (*.csv)    
    L (Separate S ",")
    tim (nth 0 L)
    X (atof (nth 1 L))
    Y (atof (nth 2 L))
    dolechx (atoi (nth 3 L))
    dolechy (atoi (nth 4 L))
    ;donghiengx (atoi (nth 5 L))
    ;donghiengy (atoi (nth 6 L))

;Vi tri dat tim va ten tim
    p0 (list X Y)
    p1 (list X (+ Y (+ (/ Scale 2) 300)))        
;Vi tri dat text do lech va do nghieng             
    p2 (list X (- Y (+ (/ Scale 2) (+ sizetext 450))));150
              p3 (list (- X (+ (/ Scale 2) 450)) Y)
;Vi tri dat mui ten do lech va do nghieng
    px (list X (- Y (+ (/ Scale 2) 400)));1
    py (list (- X (+ (/ Scale 2) 400)) Y);1
)
;Ve vi tri tim    
    (command "LAYER" "N" "01_Diemdo" "C" "1"   "01_Diemdo" "L" "Continuous" "1" "")
    (command "LAYER" "S" "01_Diemdo" \r)
     (command "insert" "KYHIEUCOCEP" p0   Scale Scale 0  )
        (command "point" p0)
;Tao style moi
    (command "-style" "Style_epcoc" "times new roman" "" "" "" "" "")
    (command "-color" "bylayer")
;Ve text ten tim    
    (command "LAYER" "N" "02_Tentim" "C" "5"   "02_Tentim" "L" "Continuous" "1" "")
    (command "LAYER" "S" "02_Tentim" \r)
        (command "text" "justify" "center" p1 sizetext "0" tim)
;Ve text do lech theo phuong X va Y
    (command "LAYER" "N" "03_DolechX" "C" "6"   "03_DolechX" "L" "Continuous" "1" "")
    (command "LAYER" "S" "03_DolechX" \r)    
         (command "text" "justify" "center" p2 sizetext "0" dolechx)
    (command "LAYER" "N" "04_DolechY" "C" "2"   "04_DolechY" "L" "Continuous" "1" "")    
         (command "LAYER" "S" "04_DolechY" \r)
    (command "text" "justify" "center" p3 sizetext "90" dolechy)
;Ve mui ten cho do lech
    (command "LAYER" "N" "05_MuitendolechX" "C" "1"   "05_MuitendolechX" "L" "Continuous" "1" "")    
         (command "LAYER" "S" "05_MuitendolechX" \r)
    (if (>= dolechx 0)
      (command "-insert" "muiten.dwg" px (/ Scale 4) (/ Scale 4) 0)
      (command "-insert" "muiten.dwg" px (/ Scale 4) (/ Scale 4) 180)
      )
    (command "LAYER" "N" "06_MuitendolechY" "C" "1"   "06_MuitendolechY" "L" "Continuous" "1" "")    
         (command "LAYER" "S" "06_MuitendolechY" \r)
    (if (>= dolechy 0)
      (command "-insert" "muiten.dwg" py (/ Scale 4) (/ Scale 4) 90)
      (command "-insert" "muiten.dwg" py (/ Scale 4) (/ Scale 4) -90)
      )
;Ve text do nghieng theo phuong X va Y
;    (command "LAYER" "N" "07_DongiengX" "C" "6"   "07_DongiengX" "L" "Continuous" "1" "")
;    (command "LAYER" "S" "07_DongiengX" \r)    
     ;    (command "text" "justify" "center" p2 sizetext "0" donghiengx)
;    (command "LAYER" "N" "08_DongiengY" "C" "2"   "08_DongiengY" "L" "Continuous" "1" "")    
     ;    (command "LAYER" "S" "08_DongiengY" \r)
;    (command "text" "justify" "center" p3 sizetext "90" donghiengy)
;Ve mui ten cho do nghieng
;    (command "LAYER" "N" "09_MuitendonghiengX" "C" "1"   "09_MuitendonghiengX" "L" "Continuous" "1" "")    
     ;    (command "LAYER" "S" "09_MuitendonghiengX" \r)
;    (if (>= donghiengx 0) (command "-insert" "muiten.dwg" px (/ Scale 4) (/ Scale 4) 0) (command "-insert" "muiten.dwg" px (/ Scale 4) (/ Scale 4) 180))
;    (command "LAYER" "N" "10_MuitendonghiengY" "C" "1"   "10_MuitendonghiengY" "L" "Continuous" "1" "")    
     ;    (command "LAYER" "S" "10_MuitendonghiengY" \r)
;    (if (>= donghiengy 0) (command "-insert" "muiten.dwg" py (/ Scale 4) (/ Scale 4) 90) (command "-insert" "muiten.dwg" py (/ Scale 4) (/ Scale 4) -90))
)
    (EndDraw)
; Tam tat di mot so lop chua cho hien thi
    (command "LAYER" "OFF" "01_Diemdo" \r)
    (command "LAYER" "OFF" "02_Tentim" \r)
;    (command "LAYER" "OFF" "07_dongiengX" \r)
    ;(command "LAYER" "OFF" "08_dongiengY" \r)
    ;(command "LAYER" "OFF" "09_MuitendonghiengX" \r)
    ;(command "LAYER" "OFF" "10_MuitendonghiengY" \r)
;Zoom toan bo man hinh    
    (command "zoom" "e")
    (command "zoom" "e")
    (close f)
    (alert (strcat  "HOAN THANH CONG VIEC"))
    (setvar "osmode" 551)
));;;end if
);;;end function KET THUC CHUONG TRINH

Hề hề hề,

Hãy thử như sau :

1/- thay chuỗi csv trong hàm (getfiled "Select Data File" "" "csv" 0) thành chuỗi txt.

2/- Thay ký tự "," trong hàm  (Separate S ",") thành "\t"

3/- lưu lại file dưới tên khác và test thử coi sao. 


  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#3 BKTen

BKTen

    biết vẽ circle

  • Members
  • PipPip
  • 34 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 29 April 2014 - 01:29 PM

Hề hề hề,

Hãy thử như sau :

1/- thay chuỗi csv trong hàm (getfiled "Select Data File" "" "csv" 0) thành chuỗi txt.

2/- Thay ký tự "," trong hàm  (Separate S ",") thành "\t"

3/- lưu lại file dưới tên khác và test thử coi sao. 

Bác Bình nhiệt tình thật đấy, Cảm ơn Bác rất nhiều nhưng hình như các hàm đọc file trong đoạn code la hàm đọc từ csv còn đổi thành txt nó không đọc được. bác test thử giùm em nhé!

xuất hiện lỗi sau:

error: bad argument type: stringp nil


  • 0

Muốn làm bạn với AutoLisp. Mong được đàn anh Pro Chỉ dạy.


#4 BKTen

BKTen

    biết vẽ circle

  • Members
  • PipPip
  • 34 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 29 April 2014 - 02:30 PM

Các Bác Pro bận cả hay sao nhỉ. có ai bớt chút thời gian giúp mình với! Cảm ơn mọi người!


  • 0

Muốn làm bạn với AutoLisp. Mong được đàn anh Pro Chỉ dạy.


#5 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 29 April 2014 - 02:31 PM

Bác Bình nhiệt tình thật đấy, Cảm ơn Bác rất nhiều nhưng hình như các hàm đọc file trong đoạn code la hàm đọc từ csv còn đổi thành txt nó không đọc được. bác test thử giùm em nhé!

xuất hiện lỗi sau:

error: bad argument type: stringp nil

Hề hề hề ,

Bạn đã thử chưa nhỉ??

Theo mình hiểu thì hàm (read-line ...) cho phép đọc cả các file txt và file csv. Tuy nhiên trong file csv thì các cột được tách nhau bởi các dấu "," có mã ascii là 44 và trong file txt thì các cột tách nhau bởi ký tự "\t" có mã ascii là 9.

Vậy nên mình mới hướng dẫn bạn như trên. 

Tuy nhiên việc lisp vẫn không đọc được là có thể do 2 lý do: 

1/- bạn sửa code chưa đúng, tỷ dụ như thêm các khoảng trắng vào giữa "\t".

2/- File của bạn có cấu tạo đặc biệt.

Vậy nên bạn hãy kiểm tra lại  bạn nhé. 


  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#6 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 29 April 2014 - 02:38 PM

Các Bác Pro bận cả hay sao nhỉ. có ai bớt chút thời gian giúp mình với! Cảm ơn mọi người!

Hề hề hề,

Mình đã xem file của bạn gửi.

1/- File dữ liệu của bạn là file csv chứ không phải file txt.

2/- cấu tạo file dữ liệu của bạn không phải bao gồm các cột số liệu mà chỉ có duy nhất một cột số liệu thôi. Trong đó mỗi dữ liệu được phân cách bởi một dấu chấm phẩy  ";" .

 

Như vậy bạn thử sửa như sau:

1/- Giữ nguyên dòng code: (getfiled "Select Data File" "" "csv" 0)

2/- Thay dấu phẩy "," trong dòng code (Separate S ",")  thành dấu chấm phẩy ";"

 

Hy vọng bạn thành công.


  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#7 BKTen

BKTen

    biết vẽ circle

  • Members
  • PipPip
  • 34 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 29 April 2014 - 03:36 PM

Hề hề hề,

Mình đã xem file của bạn gửi.

1/- File dữ liệu của bạn là file csv chứ không phải file txt.

2/- cấu tạo file dữ liệu của bạn không phải bao gồm các cột số liệu mà chỉ có duy nhất một cột số liệu thôi. Trong đó mỗi dữ liệu được phân cách bởi một dấu chấm phẩy  ";" .

 

Như vậy bạn thử sửa như sau:

1/- Giữ nguyên dòng code: (getfiled "Select Data File" "" "csv" 0)

2/- Thay dấu phẩy "," trong dòng code (Separate S ",")  thành dấu chấm phẩy ";"

 

Hy vọng bạn thành công.

CẢM ƠN BÁC BÌNH RẤT NHIỀU! EM ĐÃ CHẠY ĐƯỢC RỒI!

* Lisp này tuy phục vụ tốt cho việc hoàn công cọc dự ứng lực nhà cao tầng , tuy nhiên người sử dụng vẫn phải làm thủ công

các bước lấy tọa độ thiết kế trừ đi tọa độ hoàn công, xảy ra phát sinh thêm bước qui tọa độ quốc gia về tọa độ vuông góc phẳng theo hướng trục chính của tòa nhà, xong rồi lại phải qui về tọa độ quốc gia

* Bác Bình có cách nào để lisp sử dụng luôn tọa độ quốc gia (phương trục X không trùng với trục X trong hệ decac) Vậy lisp http://www.cadviet.c...3/130150_yc.dwg tính ra chênh lệch DX,DY so với tim trục tòa nhà (tim trục tòa nhà trùng với tim cọc ép) không phải là tính DX,DY theo tọa độ quốc gia.


  • 0

Muốn làm bạn với AutoLisp. Mong được đàn anh Pro Chỉ dạy.


#8 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 29 April 2014 - 04:12 PM

CẢM ƠN BÁC BÌNH RẤT NHIỀU! EM ĐÃ CHẠY ĐƯỢC RỒI!

* Lisp này tuy phục vụ tốt cho việc hoàn công cọc dự ứng lực nhà cao tầng , tuy nhiên người sử dụng vẫn phải làm thủ công

các bước lấy tọa độ thiết kế trừ đi tọa độ hoàn công, xảy ra phát sinh thêm bước qui tọa độ quốc gia về tọa độ vuông góc phẳng theo hướng trục chính của tòa nhà, xong rồi lại phải qui về tọa độ quốc gia

* Bác Bình có cách nào để lisp sử dụng luôn tọa độ quốc gia (phương trục X không trùng với trục X trong hệ decac) Vậy lisp http://www.cadviet.c...3/130150_yc.dwg tính ra chênh lệch DX,DY so với tim trục tòa nhà (tim trục tòa nhà trùng với tim cọc ép) không phải là tính DX,DY theo tọa độ quốc gia.

Hề hề hề,

Như mình đã nói ở topic bạn hỏi về líp chuyện hệ tọa độ. Việc làm tuy không khó nhưng cần phải hiểu rõ về các hệ tọa độ này. Mình là dân ngoại đạo nên mình chỉ giúp được bạn khi bạn cung cấp được đầy đủ các công thức chuyển hệ trục này. Mình hoàn toàn mù tịt vê các hệ tọa độ của bạn. Đọc tài liệu mà bạn gửi lên thì thấy nó chả khác bức vách là bao nhiêu nên xin bó chiếu ngồi hóng chứ chả làm được gì. Rất mong bạn thông cảm cho cái sự dốt này của mình.


  • 1
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#9 BKTen

BKTen

    biết vẽ circle

  • Members
  • PipPip
  • 34 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 30 April 2014 - 10:33 AM

Hề hề hề,

Như mình đã nói ở topic bạn hỏi về líp chuyện hệ tọa độ. Việc làm tuy không khó nhưng cần phải hiểu rõ về các hệ tọa độ này. Mình là dân ngoại đạo nên mình chỉ giúp được bạn khi bạn cung cấp được đầy đủ các công thức chuyển hệ trục này. Mình hoàn toàn mù tịt vê các hệ tọa độ của bạn. Đọc tài liệu mà bạn gửi lên thì thấy nó chả khác bức vách là bao nhiêu nên xin bó chiếu ngồi hóng chứ chả làm được gì. Rất mong bạn thông cảm cho cái sự dốt này của mình.

Bài toán nay không thay đổi gốc toạ độ chỉ tính góc xoay Wx để tính độ lệch trục công trình, còn hệ toạ độ không thay đổi! để em lại viết công thức rồi nhờ Bác giúp sau vậy, tạm thời xài lisp cũ , Cảm ơn Bác Bình rất nhiều!


  • 0

Muốn làm bạn với AutoLisp. Mong được đàn anh Pro Chỉ dạy.